Package org.w3c.tidy

# Class DOMProcessingInstructionImpl

java.lang.Object
org.w3c.tidy.DOMNodeImpl
org.w3c.tidy.DOMProcessingInstructionImpl

All Implemented Interfaces:
  `Node`, `ProcessingInstruction`

public class DOMProcessingInstructionImpl extends DOMNodeImpl implements ProcessingInstruction
DOMProcessingInstructionImpl.

Version:
  $Revision: 738 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

### Fields inherited from class org.w3c.tidy.DOMNodeImpl

`adaptee`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DOMProcessingInstructionImpl(Node adaptee)`
Instantiates a new DOM processing instruction.

## Method Summary

Modifier and Type
Method
Description
`String`
`getData()`
`short`
`getNodeType()`
`String`
`getTarget()`
`void`
`setData(String data)`

### Methods inherited from class org.w3c.tidy.DOMNodeImpl

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, supports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DOMProcessingInstructionImpl

protected DOMProcessingInstructionImpl(Node adaptee)
Instantiates a new DOM processing instruction.

Parameters:
  `adaptee` - wrapped Tidy node

## Method Details

### getNodeType

public short getNodeType()

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `DOMNodeImpl`
See Also:
  - `Node.getNodeType()`

### getTarget

public String getTarget()

Specified by:
  `getTarget` in interface `ProcessingInstruction`
See Also:
  - `ProcessingInstruction.getTarget()`
To Do:
  DOM level 2 getTarget() Not implemented. Returns null.

### getData

public String getData()

Specified by:
  `getData` in interface `ProcessingInstruction`
See Also:
  - `ProcessingInstruction.getData()`

### setData

public void setData(String data) throws DOMException

Specified by:
  `setData` in interface `ProcessingInstruction`
Throws:
  `DOMException`
See Also:
  - `ProcessingInstruction.setData(java.lang.String)`